#
# spec file for package eww
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2024 mantarimay
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without test
Name:           eww
Version:        0.6.0+git53
Release:        1.4
Summary:        ElKowars wacky widgets
License:        MIT
URL:            https://github.com/elkowar/eww
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo >= 1.70.0
BuildRequires:  cargo-packaging
BuildRequires:  gtk-layer-shell-devel
BuildRequires:  gtk3-devel
BuildRequires:  libdbusmenu-gtk3-devel
BuildRequires:  zstd

%description
Elkowars Wacky Widgets is a standalone widget system made in Rust that
allows you to implement your own, custom widgets in any window manager.

%prep
%autosetup -a1 -p1
rm docs/.gitignore
sed -i '1s|#!/bin/sh|#!/usr/bin/sh|' examples/eww-bar/scripts/getvol

%build
%{cargo_build}

%install
install -Dm755 target/release/%{name} -t %{buildroot}%{_bindir}

%check
%if %{with test}
%{cargo_test}
%endif

%files
%license LICEN*
%doc README* docs examples CHANGELOG.md
%{_bindir}/%{name}

%changelog
* Thu Sep 26 2024 Soc Virnyl Estela <obs@uncomfyhalomacro.pl>
- Update to version 0.6.0+git53:
  * Implement explicitly setting a center of rotation (#783)
  * Clean up example SCSS file (#644)
  * fix: demote two logging statements to debug (#1183)
  * fix: fix system tray not displaying anything (#1181)
  * Fixing missing commas in example (#1174)
  * docs(readme): improve spacing (#886)
  * fix: make formattime follow system locale (#1177)
  * fix: remove unused import (#1168)
  * Fix Typo ("procent" -> "percent") (#1169)
  * add `EWW_BATTERY` support in (free|open|net)bsd (#645)
- Switch over to obs-scm in _service for now
- Update vendored dependencies
* Mon Apr 22 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.6.0
  + Fixes
  - The shell-completions subcommand is now run before anything
    is set up
  - Fix nix flake
  - Fix jq
  - Labels now use gtk's truncation system
  + Features
  - Add libdbusmenu-gtk3-devel BuildRequires: add systray widget
  - Add :checked property to checkbox
- Disable cargo update: could not find `ObjectExt` in `glib`
  (gh#elkowar/eww#1062 gh#elkowar/eww#1063)
- Add cargo test script
- Add CHANGELOG.md to doc
* Sun Mar  3 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Initial package
